Bug 1856880 - Review Request: fuzza - TCP fuzzing tool to test for remote buffer overflows
Summary: Review Request: fuzza - TCP fuzzing tool to test for remote buffer overflows
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2020-07-14 15:50 UTC by Fabian Affolter
Modified: 2020-09-25 17:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 17:00:47 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-07-14 15:50:17 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/fuzza.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/fuzza-0.6.0-1.fc31.src.rpm

Project URL: https://github.com/cytopia/fuzza

Description:
fuzza is able to send and receive any initial commands prior sending the
payload as well as sending any post commands after the payload has been
sent. In order to replicate and triage the buffer overflow, fuzza can be
used to generate custom Python scripts for attack, bad chars and finding
the eip based on your command line arguments.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=47205606

rpmlint output:
$ rpmlint fuzza-0.6.0-1.fc31.src.rpm 
fuzza.src: W: spelling-error %description -l en_US eip -> pie, rip, esp
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint fuzza-0.6.0-1.fc31.noarch.rpm 
fuzza.noarch: W: spelling-error %description -l en_US eip -> pie, rip, esp
fuzza.noarch: W: no-documentation
fuzza.noarch: W: no-manual-page-for-binary fuzza
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-07-14 16:42:36 UTC
 - Same as the other package, remove argparse from setup.py as it is provided by Python

DEBUG util.py:621:   Problem 1: conflicting requests
DEBUG util.py:621:    - nothing provides python3.9dist(argparse) needed by python3-fuzza-0.6.0-1.fc33.noarch
DEBUG util.py:621:   Problem 2: package fuzza-0.6.0-1.fc33.noarch requires python3-fuzza = 0.6.0-1.fc33, but none of the providers can be installed
DEBUG util.py:621:    - conflicting requests
DEBUG util.py:621:    - nothing provides python3.9dist(argparse) needed by python3-fuzza-0.6.0-1.fc33.noarch
DEBUG util.py:623:  (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Package approved. Fix the aforementioned issue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 11 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/fuzza/review-fuzza/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-fuzza
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.




Rpmlint
-------
Checking: fuzza-0.6.0-1.fc33.noarch.rpm
          python3-fuzza-0.6.0-1.fc33.noarch.rpm
          fuzza-0.6.0-1.fc33.src.rpm
fuzza.noarch: W: spelling-error %description -l en_US eip -> pie, rip, esp
fuzza.noarch: W: no-documentation
fuzza.noarch: W: no-manual-page-for-binary fuzza
python3-fuzza.noarch: W: spelling-error %description -l en_US eip -> pie, rip, esp
fuzza.src: W: spelling-error %description -l en_US eip -> pie, rip, esp
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 2 Gwyn Ciesla 2020-07-14 18:26:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fuzza

Comment 3 Fedora Update System 2020-09-17 18:34:08 UTC
FEDORA-2020-708bc96e36 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-708bc96e36

Comment 4 Fedora Update System 2020-09-18 18:59:10 UTC
FEDORA-2020-708bc96e36 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-708bc96e36 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-708bc96e36

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-09-25 17:00:47 UTC
FEDORA-2020-708bc96e36 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.